

def load_data(filename):
	f = open(filename)
	go = {}

	for row in f:
		if row.startswith("!"):
			continue
		data = row.split("\t")
		if not data[9] or "ypothetical" in data[9]:
			continue
		if not data[4] in go:
			go[data[4]] = [data[9]]
		else:
			go[data[4]].append(data[9])
	f.close()
	return go

def find_common_go(go1, go2):
	common_go = []

	for term in go1.keys():
		if term in go2.keys():
			common_go.append([len(go1[term])+len(go2[term]),term,go1[term],go2[term]])
	return common_go

def print_common_go(common_go):
	common_go.sort()
	common_go.reverse()
	for data in common_go:
		print(data[1])
		print("%d:\t %s" %(len(data[2]), ",".join(data[2])))
		print("%d:\t %s" %(len(data[3]), ",".join(data[3])))

file1 = input("Primo file annotazioni GO: ")
file2 = input("Secondo file annotazioni GO: ")
go1 = load_data(file1)
go2 = load_data(file2)
common_go = find_common_go(go1, go2)
print_common_go(common_go)

